<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ombs-OnlineMovieBookingSystem: src/mongodbhandler/mongodb_handler.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ombs-OnlineMovieBookingSystem
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_da1c6a6595f2982f441602eb3201664d.html">mongodbhandler</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">mongodb_handler.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;vector&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;mutex&gt;</code><br />
<code>#include &quot;SimpleJSON/json.hpp&quot;</code><br />
<code>#include &quot;mongocxx/client.hpp&quot;</code><br />
<code>#include &quot;mongocxx/database.hpp&quot;</code><br />
<code>#include &quot;mongocxx/uri.hpp&quot;</code><br />
<code>#include &quot;mongocxx/instance.hpp&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for mongodb_handler.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="mongodb__handler_8hpp__incl.png" border="0" usemap="#src_2mongodbhandler_2mongodb__handler_8hpp" alt=""/></div>
<map name="src_2mongodbhandler_2mongodb__handler_8hpp" id="src_2mongodbhandler_2mongodb__handler_8hpp">
<area shape="rect" title=" " alt="" coords="349,5,519,47"/>
<area shape="rect" title=" " alt="" coords="5,95,68,121"/>
<area shape="rect" title=" " alt="" coords="93,95,151,121"/>
<area shape="rect" title=" " alt="" coords="175,95,239,121"/>
<area shape="rect" title=" " alt="" coords="264,95,423,121"/>
<area shape="rect" title=" " alt="" coords="447,95,605,121"/>
<area shape="rect" title=" " alt="" coords="629,95,812,121"/>
<area shape="rect" title=" " alt="" coords="837,95,975,121"/>
<area shape="rect" title=" " alt="" coords="1000,95,1177,121"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="mongodb__handler_8hpp__dep__incl.png" border="0" usemap="#src_2mongodbhandler_2mongodb__handler_8hppdep" alt=""/></div>
<map name="src_2mongodbhandler_2mongodb__handler_8hppdep" id="src_2mongodbhandler_2mongodb__handler_8hppdep">
<area shape="rect" title=" " alt="" coords="81,5,251,47"/>
<area shape="rect" href="http__server_8cpp.html" title=" " alt="" coords="5,95,148,136"/>
<area shape="rect" href="mongodb__handler_8cpp.html" title=" " alt="" coords="172,95,341,136"/>
</map>
</div>
</div>
<p><a href="mongodb__handler_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_mongo_db_handler.html">omsb::MongoDbHandler</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">this is the class to allow creation of controller objects as needed for ombs mongodb database  <a href="classomsb_1_1_mongo_db_handler.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceomsb"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html">omsb</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ae9fa713289adf0403b4e9e4933119aa5"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#ae9fa713289adf0403b4e9e4933119aa5">omsb::ombsMongoDbUri</a> [] = &quot;mongodb://0.0.0.0&quot;</td></tr>
<tr class="separator:ae9fa713289adf0403b4e9e4933119aa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04aab5d8b25fb4d8a0d290be9a1674fb"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a04aab5d8b25fb4d8a0d290be9a1674fb">omsb::ombsOmbsDatabaseName</a> [] = &quot;ombs_database&quot;</td></tr>
<tr class="separator:a04aab5d8b25fb4d8a0d290be9a1674fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6db4d98839f154bd725bbab9217f7169"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a6db4d98839f154bd725bbab9217f7169">omsb::ombsMovieShowsCollectionName</a> [] = &quot;movieshows&quot;</td></tr>
<tr class="separator:a6db4d98839f154bd725bbab9217f7169"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad228ec140c97bd390aa3254f377e4b54"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#ad228ec140c97bd390aa3254f377e4b54">omsb::ombsTheatersCollectionName</a> [] = &quot;theaters&quot;</td></tr>
<tr class="separator:ad228ec140c97bd390aa3254f377e4b54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e782e5b847709cd85efc1dadb6526bf"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a6e782e5b847709cd85efc1dadb6526bf">omsb::ombsMoviesCollectionName</a> [] = &quot;movies&quot;</td></tr>
<tr class="separator:a6e782e5b847709cd85efc1dadb6526bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8978065622ebccb03944482bae950286"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a8978065622ebccb03944482bae950286">omsb::ombsSeatsCollectionName</a> [] = &quot;seats&quot;</td></tr>
<tr class="separator:a8978065622ebccb03944482bae950286"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8e19c46fe6cde2ad6d941b11cc46701"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#ae8e19c46fe6cde2ad6d941b11cc46701">omsb::ombsBookingsCollectionName</a> [] = &quot;bookings&quot;</td></tr>
<tr class="separator:ae8e19c46fe6cde2ad6d941b11cc46701"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ecca3d4606ecd606a2d64c9a6628387"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a5ecca3d4606ecd606a2d64c9a6628387">omsb::NUMBER_OF_SEATS_FOR_A_MOVIE_IN_THEATER</a> = 20</td></tr>
<tr class="memdesc:a5ecca3d4606ecd606a2d64c9a6628387"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assume that available seats number for a couple of given thrater and movie is 20.  <a href="namespaceomsb.html#a5ecca3d4606ecd606a2d64c9a6628387">More...</a><br /></td></tr>
<tr class="separator:a5ecca3d4606ecd606a2d64c9a6628387"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a822a40e494a03b196294e7333981ab59"><td class="memItemLeft" align="right" valign="top">mongocxx::instance&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a822a40e494a03b196294e7333981ab59">omsb::instance</a></td></tr>
<tr class="memdesc:a822a40e494a03b196294e7333981ab59"><td class="mdescLeft">&#160;</td><td class="mdescRight">instance to mongodb driver, should be declared only once in all the application.  <a href="namespaceomsb.html#a822a40e494a03b196294e7333981ab59">More...</a><br /></td></tr>
<tr class="separator:a822a40e494a03b196294e7333981ab59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4e72116c77b65c50a00b136491fafec"><td class="memItemLeft" align="right" valign="top">std::mutex&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#aa4e72116c77b65c50a00b136491fafec">omsb::seats_booking_mutex_lock</a></td></tr>
<tr class="memdesc:aa4e72116c77b65c50a00b136491fafec"><td class="mdescLeft">&#160;</td><td class="mdescRight">this a lock mutex to avoid averbooking when we book a list of seats  <a href="namespaceomsb.html#aa4e72116c77b65c50a00b136491fafec">More...</a><br /></td></tr>
<tr class="separator:aa4e72116c77b65c50a00b136491fafec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
